#version 330

/**
 * This first defined out variable of the fragment shader defines
 * with which color the fragment is rendered
 */
out vec4 fragment_color;

/**
 * This color value is the one computed by interpolation and comes from the cpu 
 * 
 */
uniform vec4 color;

/**
 * The value of this variable comes from the vertex shader (see
 * 'out vec4 color_from_vs;' there). Note that input variables
 * in the fragment shader, which comes from the vertex shader,
 * are automatically interpolated.
 */
in vec4 color_from_vs;

/**
 * The main function of the fragment shader, which is executed
 * for every fragment.
 */
void main()
{
    // Set the output color variable to the color of the vertex and the interpolated one:
    fragment_color = color + color_from_vs;
}
